import request from '@/utils/request'

// 查询行政制裁信息列表
export function listSanction(query) {
    return request({
        url: '/crmAdministrativeSanction/findByPage',
        method: 'get',
        params: query
    })
}

// 查询行政制裁信息详细
export function getSanction(id) {
    return request({
        url: '/crmAdministrativeSanction/' + id,
        method: 'get'
    })
}

// 新增行政制裁信息
export function addSanction(data) {
    return request({
        url: '/crmAdministrativeSanction',
        method: 'post',
        data: data
    })
}

// 修改行政制裁信息
export function updateSanction(data) {
    return request({
        url: '/crmAdministrativeSanction',
        method: 'put',
        data: data
    })
}

// 删除行政制裁信息
export function delSanction(id) {
    return request({
        url: '/crmAdministrativeSanction/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delSanctionBatch(ids) {
    console.log(ids);
    return request.post('/crmAdministrativeSanction/delete',ids)
}